#!/bin/bash

###
### This skript is developed by GWDG. Licensed under the Apache License, Version 2.0 (see http://www.apache.org/licenses/LICENSE-2.0)
###
### tibor.kalman@gwdg.de
### benedikt.wegmann@gwdg.de
###

### PowerFolder Quota setup script
### Using the PF REST API for setting up quota for a PF user
### $Id: powerfolder-tibor-quota.sh 103 2012-12-06 16:03:46Z pfadmin $


### GB=10
### echo "$GB*1024*1024*1024" | bc     ###  Gb --> byte
###10737418240
### BYTES=`echo "$GB*1024*1024*1024" | bc`
### wget --no-check-certificate --http-user="admin@example.com" --http-password='password' "http://localhost:8080/api/accounts?action=store&username=username@example.com&spaceBytes=$BYTES"

### IMPORTANT: Please replace the values in the following variables with your PowerFolder Server URL, admin account and password for the admin account!
PFSADMIN="admin@example.com"
PFSPASS='password'
PFSURL="http://localhost:8080"

### Variables passed by the calling script
USERNAME="${1}"
GB=${2}

echo "----- QUOTA ------" >> ${0}.log
echo "$(date +'%Y%m%d%H%M%S'):QUOTA PARAMS:${@}" >> ${0}.log

### Some sanity checks, make sure parameters are valid...
if [ $# -ne 2 ]; then
    echo "ERROR: number of parameters must be 2" >> ${0}.log
    exit 1
fi
        
if [ -z ${USERNAME} ] ; then
    echo "ERROR: username is not set" >> ${0}.log
    exit 2
fi

if [ -z ${GB} ] ; then
    echo "ERROR: quota is not set" >> ${0}.log
    exit 3
fi

if [ ${GB} -lt 0 -o ${GB} -gt 100 ] ; then
    echo "ERROR: quota is less than 0GB or greater than 100Gb" >> ${0}.log
    exit 4
fi
### TODO: make it more robust




BYTES=`echo "$GB*1024*1024*1024" | bc`

### Poor Man's debugger, tkalman; 20120118


wget -O - -a ${0}.log \
    --no-verbose \
    --no-check-certificate \
    --http-user="${PFSADMIN}" --http-password="${PFSPASS}" \
    "${PFSURL}/api/accounts?action=store&username=${USERNAME}&spaceBytes=$BYTES" 2>&1 >> ${0}.log

WGET_RC=$?

echo "$(date +'%Y%m%d%H%M%S'):WGET RC:${WGET_RC}" >> ${0}.log
###echo "----- QUOTA ------" >> ${0}.log

exit ${WGET_RC}
